Bug 1507940 - Root password listed as 'set' on AArch64 disk images
Summary: Root password listed as 'set' on AArch64 disk images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: ARMTracker F28FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2017-10-31 14:09 UTC by Paul Whalen
Modified: 2018-04-25 00:03 UTC (History)
11 users (show)

Fixed In Version: anaconda-28.22.10-1 anaconda-28.22.10-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-25 00:03:27 UTC


Attachments (Terms of Use)

Description Paul Whalen 2017-10-31 14:09:40 UTC
Description of problem:
Root password is listed as set on AArch64 Minimal and Server disk images

Version-Release number of selected component (if applicable):
initial-setup-0.3.51-1.fc27.aarch64

Steps to Reproduce:
1. Download and boot a recent AArch64 disk image (can be booted in qemu)
2. Initial-setup starts with the root password listed as 'set'

Actual results:
================================================================================
================================================================================
1) [x] Language settings                 2) [x] Time settings
       (English (United States))                (US/Eastern timezone)
3) [x] Network configuration             4) [x] Root password
       (Wired (enp1s0) connected)               (Password is set.)
5) [ ] User creation
       (No user will be created)

Please make a selection from the above ['c' to continue, 'q' to quit, 'r' to
refresh]: 

Additional info:
From the kickstart:

# Root password
rootpw --iscrypted --lock locked

Comment 1 Paul Whalen 2018-01-23 15:39:26 UTC
This also affects the F28 disk images, moving to rawhide.

Comment 2 Fedora End Of Life 2018-02-20 15:30:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 3 Paul Whalen 2018-03-13 14:17:03 UTC
Testing the latest nominated nightly images(Fedora-28-20180310.n.0), the password is now listed as not set:

================================================================================
================================================================================
1) [x] Language settings                 2) [x] Time settings
       (English (United States))                (US/Eastern timezone)
3) [x] Network configuration             4) [!] Root password
       (Wired (eth0) connected)                 (Password is not set.)
5) [!] User creation
       (No user will be created)

Please make a selection from the above ['c' to continue, 'q' to quit, 'r' to
refresh]: 


Closing this as fixed.

Comment 4 Paul Whalen 2018-03-23 19:41:45 UTC
And back with Fedora-28-20180323.n.0 . There was a recent change in anaconda - https://bugzilla.redhat.com/show_bug.cgi?id=1557529 - could this account for the change?

Comment 5 Peter Robinson 2018-04-13 19:40:29 UTC
This has further implications, if a user accidentally hits C they end up with inital-setup completing because it believes the root password is set and the user can't actually then login:

[   87.518708] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:68:crtc-2] flip_done timed out
[   97.758699] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CONNECTOR:44:Composite-1] flip_done timed out
[  107.998700] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:67:plane-20] flip_done timed out
================================================================================
================================================================================
1) [x] Language settings                 2) [x] Time settings
       (English (United States))                (US/Eastern timezone)
3) [ ] Network configuration             4) [x] Root password
       (Not connected)                          (Password is set.)
5) [ ] User creation
       (No user will be created)

Please make a selection from the above ['c' to continue, 'q' to quit, 'r' to
refresh]: 
1
================================================================================
================================================================================
Language settings

Available languages
1) Afrikaans               29) Galician               57) Low German
2) Amharic                 30) Gujarati               58) Nepali
3) Angika                  31) Hebrew                 59) Dutch
4) Arabic                  32) Hindi                  60) Norwegian Nynorsk
5) Assamese                33) Croatian               61) Northern Sotho
6) Asturian                34) Hungarian              62) Odia
7) Bulgarian               35) Interlingua            63) Punjabi
8) Bangla                  36) Indonesian             64) Polish
9) Tibetan                 37) Icelandic              65) Portuguese
10) Breton                 38) Italian                66) Romanian
11) Bodo                   39) Japanese               67) Russian
12) Bosnian                40) Georgian               68) Sinhala
13) Catalan                41) Kazakh                 69) Slovak
14) Czech                  42) Khmer                  70) Slovenian
15) Welsh                  43) Kannada                71) Albanian
16) Danish                 44) Korean                 72) Serbian
17) German                 45) Cornish                73) Swedish
18) Greek                  46) Kyrgyz                 74) Tamil
19) English                47) Lithuanian             75) Telugu
20) Spanish                48) Latvian                76) Tajik
21) Estonian               49) Maithili               77) Thai
22) Basque                 50) Macedonian             78) Turkish
23) Persian                51) Malayalam              79) Ukrainian
24) Finnish                52) Mongolian              80) Urdu
25) Filipino               53) Marathi                81) Vietnamese

Press ENTER to continue: 
19
26) French                 54) Malay                  82) Yoruba
27) Friulian               55) Burmese                83) Mandarin Chinese
28) Irish                  56) Norwegian Bokmål       84) Zulu

Please select language support to install ['b' to return to language list, 'c'
to continue, 'h' to help, 'q' to quit, 'r' to refresh]: 
19
================================================================================
================================================================================
Language settings

Available locales
1) English (United         7) English (Ireland)       13) English (South
   States)                                                Africa)
2) English (United         8) English (New Zealand)   14) English (Zambia)
   Kingdom)
3) English (India)         9) English (Nigeria)       15) English (Zimbabwe)
4) English (Australia)     10) English (Hong Kong     16) English (Botswana)
                               SAR China)
5) English (Canada)        11) English                17) English (Antigua &
                               (Philippines)              Barbuda)
6) English (Denmark)       12) English (Singapore)

Please select language support to install ['b' to return to language list, 'c'
to continue, 'h' to help, 'q' to quit, 'r' to refresh]: 
2
================================================================================
================================================================================
1) [x] Language settings                 2) [x] Time settings
       (English (United Kingdom))               (US/Eastern timezone)
3) [ ] Network configuration             4) [x] Root password
       (Not connected)                          (Password is set.)
5) [ ] User creation
       (No user will be created)

Please make a selection from the above ['c' to continue, 'q' to quit, 'r' to
refresh]: 
c
[  OK  ] Started Initial Setup configuration program.
[  OK  ] Reached target Login Prompts (Pre).
[  OK  ] Started Getty on tty1.
[  OK  ] Started Serial Getty on ttyS1.
[  OK  ] Reached target Login Prompts.
[  OK  ] Reached target Multi-User System.
         Starting Update UTMP about System Runlevel Changes...
[  OK  ] Started Update UTMP about System Runlevel Changes.

Fedora 28 (Twenty Eight)
Kernel 4.16.0-300.fc28.aarch64 on an aarch64 (ttyS1)

localhost login:

Comment 6 Martin Kolman 2018-04-19 15:12:55 UTC
Initial Setup knows that:
- the root account is currently locked (from kickstart)
- that it is running in reconfig mode (from kickstart)

We can combine these and if both are true, display a different spoke status:

(Locked. Set password to unlock.)

That should fix the bad UX. 

The fix should be also pretty simple as we are just changing what label is displayed, not if root password can or cannot be set.

Comment 7 Paul Whalen 2018-04-19 15:41:59 UTC
Requested FE, this can potentially lock someone out of the disk image if no user is created and the root password is listed as set.

Comment 8 Adam Williamson 2018-04-19 21:51:26 UTC
+1 FE, this does look like a big bear trap.

Comment 9 Martin Kolman 2018-04-23 15:52:03 UTC
PR: https://github.com/rhinstaller/anaconda/pull/1456

Comment 10 Martin Kolman 2018-04-23 15:55:42 UTC
The fix will go to Anaconda, so changing the component.

Comment 11 František Zatloukal 2018-04-23 17:51:55 UTC
Discussed during the 2018-04-23 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made:

"this can result in the user being locked out of the install, and cannot be fully fixed with a post-release update"

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-23/f28-blocker-review.2018-04-23-16.00.log.txt

Comment 12 Fedora Update System 2018-04-24 10:52:36 UTC
anaconda-28.22.10-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1884c34b53

Comment 13 Fedora Update System 2018-04-24 19:14:51 UTC
anaconda-28.22.10-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1884c34b53

Comment 14 Fedora Update System 2018-04-25 00:03:27 UTC
anaconda-28.22.10-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.